[arch-commits] Commit in python-cheetah/trunk (PKGBUILD python-cheetah.install)

Andrea Scarpino andrea at archlinux.org
Tue Nov 3 14:32:11 EST 2009


    Date: Tuesday, November 3, 2009 @ 14:32:11
  Author: andrea
Revision: 58121

upgpkg: python-cheetah 2.4.0-1
    upstream release; FS#15255

Modified:
  python-cheetah/trunk/PKGBUILD
  python-cheetah/trunk/python-cheetah.install

------------------------+
 PKGBUILD               |   18 +++++++++---------
 python-cheetah.install |    4 ----
 2 files changed, 9 insertions(+), 13 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-03 19:23:55 UTC (rev 58120)
+++ PKGBUILD	2009-11-03 19:32:11 UTC (rev 58121)
@@ -1,23 +1,23 @@
 # $Id$
-# Maintainer: James Rayner <james at archlinux.org>
+# Contributor: James Rayner <james at archlinux.org>
 # Contributor: Todd Maynard <arch at toddmaynard.com>
+
 pkgname=python-cheetah
-pkgver=2.2.1
+pkgver=2.4.0
 pkgrel=1
 pkgdesc="A Python-powered template engine and code generator"
 url="http://www.cheetahtemplate.org/"
-license=(custom)
+license=('custom')
 depends=('python')
 provides=('cheetah')
 conflicts=('cheetah')
 arch=('i686' 'x86_64')
-source=(http://downloads.sourceforge.net/sourceforge/cheetahtemplate/Cheetah-$pkgver.tar.gz)
 install=python-cheetah.install
-options=('force')
+source=(http://pypi.python.org/packages/source/C/Cheetah/Cheetah-${pkgver}.tar.gz)
+md5sums=('873f5440676355512f176fc4ac01011e')
 
 build() {
-  cd ${startdir}/src/Cheetah-$pkgver
-  python setup.py install --root=$startdir/pkg
-  install -D -m644 LICENSE $startdir/pkg/usr/share/licenses/$pkgname/LICENSE
+  cd ${srcdir}/Cheetah-$pkgver
+  python setup.py install --root=${pkgdir} || return 1
+  install -D -m644 LICENSE $pkgdir/usr/share/licenses/$pkgname/LICENSE
 }
-md5sums=('137491aef378b502b2ee71c03b929faf')

Modified: python-cheetah.install
===================================================================
--- python-cheetah.install	2009-11-03 19:23:55 UTC (rev 58120)
+++ python-cheetah.install	2009-11-03 19:32:11 UTC (rev 58121)
@@ -9,7 +9,3 @@
 
 EOM
 }
-      
-op=$1
-shift
-$op $*



More information about the arch-commits mailing list